lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Uwe Schindler" <...@thetaphi.de>
Subject RE: What is the future of Version?
Date Tue, 04 May 2010 17:52:05 GMT
I would like to keep Version, as this is not related to backwards compatibility in the sense.
I cannot take care on the discussion (vacation), I just want to tell my opinion, which is
also used for any future voting I cannot attend.

Uwe

-----
Uwe Schindler
H.-H.-Meier-Allee 63, D-28213 Bremen
http://www.thetaphi.de
eMail: uwe@thetaphi.de

> -----Original Message-----
> From: Shai Erera [mailto:serera@gmail.com]
> Sent: Tuesday, May 04, 2010 7:39 PM
> To: dev@lucene.apache.org
> Subject: What is the future of Version?
> 
> Hi
> 
> So what did we agree on the future of Version? Do we remove it
> entirely starting w/ 4.0? For analyzers it'd make sense b/c we say
> that you can use a specific analyzers package version to get the
> desired behavior. Since Version is mostly used in analyzers - do we
> want to remove it entirely in 4.0?
> 
> I've opened this issue
> https://issues.apache.org/jira/browse/LUCENE-2305 and the decision
> about Version will affect it.
> 
> If we want to keep Version around, but in limited or "on demand" use,
> then I think in trunk we should only have 4.x versions, w/o any priror
> ones?
> 
> Shai
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
> For additional commands, e-mail: dev-help@lucene.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message